# Generated by Django 2.0.9 on 2018-11-25 17:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Persona',
            fields=[
                ('email', models.EmailField(max_length=100, primary_key=True, serialize=False)),
                ('run', models.CharField(max_length=12)),
                ('nombre_completo', models.CharField(max_length=50)),
                ('fechanac', models.CharField(max_length=10)),
                ('telefono', models.IntegerField()),
                ('regiones', models.CharField(max_length=40)),
                ('comunas', models.CharField(max_length=40)),
                ('tipo_vivienda', models.CharField(max_length=60)),
                ('contrasenia', models.CharField(default=None, max_length=10)),
                ('usuario', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
